//***************************************************************
//***
//***   File:     Face.C
//***   Function: Implementation of class 'Face'
//***
//***   24-Abr-01      Carlos      Creation.
//***   
//***************************************************************

#include <Face.H>

namespace GRF
{

//**********************************


  Face::Face
  (
     const std::vector<unsigned long> & iv ,
     double _rgbColor[3]
  )
  {
     nVertexs = iv.size() ;

     for( unsigned i= 0 ; i < nVertexs ; i++ )
     {
        v.push_back( iv[i] ) ;
     }

     if ( _rgbColor != NULL )
     {
        for( unsigned i= 0 ; i < 3 ; i++ )
        {
           rgbColor[i] = _rgbColor[i] ;
        }
     }
     else
     {
        rgbColor[0] = 1.0 ;
        rgbColor[1] = 0.0 ;
        rgbColor[2] = 0.0 ;
     }


  }

  unsigned long Face::GetVertexIndex
  (
     unsigned iv
  )
     const
  {
     return v[iv] ;
  }

  unsigned long Face::NVertexs
  (
  )
     const
  {
     return nVertexs ;
  }

  void Face::GetColor
  (
     double _rgbColor[3]
  )
     const
  {
     for( int i=0 ; i< 3 ; i++ )
     {
        _rgbColor[i] = rgbColor[i] ;
     }
  }


} // namespace GRF
         

