//***************************************************************
//***
//***   File:     Face.H
//***   Function: Declaration of class 'Face'
//***
//***   24-Abr-01      Carlos      Creation.
//***   
//***************************************************************

#ifndef  GRF_FACE_H
#define  GRF_FACE_H

#include <vector>

namespace GRF
{

//**********************************

class Face
{
  private:

  std::vector<unsigned long> v ;
  unsigned long nVertexs ;

  double rgbColor[3] ;

  public:

  Face
  (
     const std::vector<unsigned long> & iv ,
     double _rgbColor[3] = NULL
  )  ;

  unsigned long GetVertexIndex
  (
     unsigned iv
  )
     const ;


  void GetColor
  (
     double rgbCol[3]
  )
     const ;

  unsigned long NVertexs
  (
  )
     const ;

} ;  // class Face


} // namespace GRF
         
#endif // GRF_FACE_H
